# Interface ClassUnloadEvent

All Superinterfaces:
  `Event, Mirror`

public interface ClassUnloadEvent extends Event
Notification of a class unload in the target VM.

There are severe constraints on the debugger back-end during garbage collection, so unload information is greatly limited.

Since:
  1.3
See Also:
  - `EventQueue`
  - `VirtualMachine`

## Method Summary

Modifier and Type
Method
Description
`String`
`className()`
Returns the name of the class that has been unloaded.
`String`
`classSignature()`
Returns the type signature of the class that has been unloaded.

### Methods declared in interface Event

`request`

### Methods declared in interface Mirror

`toString, virtualMachine`

## Method Details

### className

String className()
Returns the name of the class that has been unloaded. The returned string may not be a binary name.

See Also:
  - `Class.getName()`

### classSignature

String classSignature()
Returns the type signature of the class that has been unloaded. The result is of the same form as the string returned by `Class.descriptorString()`. If this class can be described nominally, the returned string is a type descriptor conforming to JVMS 4.3.2; otherwise, the returned string is not a type descriptor.